# Class SimpleDomain<T>

java.lang.Object
uk.ac.starlink.ttools.plot2.data.SimpleDomain<T>

All Implemented Interfaces:
  `uk.ac.starlink.table.Domain<SimpleDomain.Mapper<T>>`

public class SimpleDomain<T> extends Object implements uk.ac.starlink.table.Domain<SimpleDomain.Mapper<T>>
Minimal Domain implementation with only one mapper.

Since:
  14 Apr 2020
Author:
  Mark Taylor

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`SimpleDomain.Mapper<T>`
Simple mapper implementation.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final SimpleDomain<Number>`
`NUMERIC_DOMAIN`
SimpleDomain instance for numeric values.
`static final SimpleDomain.Mapper<Number>`
`NUMERIC_MAPPER`
Sole DomainMapper for `NUMERIC_DOMAIN`.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`SimpleDomain(Class<T> clazz, String domainName, String sourceName, String sourceDescription)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`getDomainName()`
`SimpleDomain.Mapper<T>`
`getMapper()`
Returns sole default mapper instance for this domain.
`SimpleDomain.Mapper<T>[]`
`getMappers()`
`SimpleDomain.Mapper<T>`
`getPossibleMapper(uk.ac.starlink.table.ValueInfo info)`
`SimpleDomain.Mapper<T>`
`getProbableMapper(uk.ac.starlink.table.ValueInfo info)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### NUMERIC_DOMAIN

public static final SimpleDomain<Number> NUMERIC_DOMAIN
SimpleDomain instance for numeric values.

### NUMERIC_MAPPER

public static final SimpleDomain.Mapper<Number> NUMERIC_MAPPER
Sole DomainMapper for `NUMERIC_DOMAIN`.

## Constructor Details

### SimpleDomain

protected SimpleDomain(Class<T> clazz, String domainName, String sourceName, String sourceDescription)
Constructor.

Parameters:
  `clazz` - required source class
  `domainName` - target domain name
  `sourceName` - source value name
  `sourceDescription` - source value description

## Method Details

### getDomainName

public String getDomainName()

Specified by:
  `getDomainName` in interface `uk.ac.starlink.table.Domain<T>`

### getMappers

public SimpleDomain.Mapper<T>[] getMappers()

Specified by:
  `getMappers` in interface `uk.ac.starlink.table.Domain<T>`

### getProbableMapper

public SimpleDomain.Mapper<T> getProbableMapper(uk.ac.starlink.table.ValueInfo info)

Specified by:
  `getProbableMapper` in interface `uk.ac.starlink.table.Domain<T>`

### getPossibleMapper

public SimpleDomain.Mapper<T> getPossibleMapper(uk.ac.starlink.table.ValueInfo info)

Specified by:
  `getPossibleMapper` in interface `uk.ac.starlink.table.Domain<T>`

### getMapper

public SimpleDomain.Mapper<T> getMapper()
Returns sole default mapper instance for this domain.

Returns:
  mapper